# -*- coding: utf-8 -*-

# Copyright (c) 2006 Detlev Offenbach <detlev@die-offenbachs.de>
#

import sys

from qt import *

from DeleteFilesConfirmationDialog import DeleteFilesConfirmationDialog

class myTabWidget(QTabWidget):
    def __init__(self, parent = None):
        QTabWidget.__init__(self, parent)
        
        self.textEdit = QTextEdit(self)
        self.addTab(self.textEdit, "QTextEdit")
        
        self.button = QToolButton(Qt.DownArrow, self)
        self.setCornerWidget(self.button)
        self.connect(self.button, SIGNAL("clicked()"), self.buttonClicked)
        
    def buttonClicked(self):
        filename = "/some/path/and/file.py"
        
        dlg = DeleteFilesConfirmationDialog(self.textEdit.parent(), 
            "Delete file", "Delete these files?", "Yes", "No", [filename])
            
        if dlg.exec_loop() == QDialog.Accepted:
            self.textEdit.append("%s\n" % filename)
    
if __name__ == "__main__":
    app = QApplication(sys.argv)
    QObject.connect(app, SIGNAL("lastWindowClosed()"), app, SLOT("quit()"))
    w = myTabWidget()
    app.setMainWidget(w)
    w.show()
    app.exec_loop()
